Summary: A 2-D X Window System based drawing program.
Name: tgif
Version: 4.1.39
Release: 2
License: distributable 
Group: Amusements/Graphics
Source: ftp://bourbon.cs.umd.edu/pub/tgif/%{name}-%{version}.tar.gz
Url: http://bourbon.cs.umd.edu:8001/tgif/
Source1: tgif.desktop
Buildroot: %{_tmppath}/%{name}-root

%description
An Xlib based interactive 2-D drawing tool for the X Window System.
Tgif can handle rectangles, ovals, rounded rectangles, arcs,
polylines, polygons, open-splines, closed-splines, text X11 bitmaps,
some X11 pixmaps and Encapsulated PostScript.  Tgif output can be sent
directly to a PostScript printer or incorporated into a LaTeX
document.

%prep
%setup -q

%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}/man1

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
install -m 644 $RPM_SOURCE_DIR/tgif.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HISTORY Copyright 
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/tgif
%{_mandir}/man?/*
%config /etc/X11/applnk/Graphics/tgif.desktop

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 1 2000 Than Ngo <than@redhat.com>
- update to 4.1.39
- update Url

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- use %%{_mandir} macro

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix location of /usr/doc to be /usr/share/doc

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- use /usr/share/man/ for man pages
- applnk group now Graphics, makes more sense
- desktop file marked as config

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- added build root, checked package

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- grabbed contrib package
- updated version
